Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 592436 - x11-libs/wxGTK-3.0.2.0-r2: building w/gcc-6: error: call of overloaded 'abs(XYPOSITION)' is ambiguous
Summary: x11-libs/wxGTK-3.0.2.0-r2: building w/gcc-6: error: call of overloaded 'abs(X...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo wxWidgets Herd
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: gcc-6
  Show dependency tree
 
Reported: 2016-08-30 14:35 UTC by Francesco Turco
Modified: 2017-09-27 14:39 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build log using gcc-6.2.0 (wxGTK.log,6.33 KB, text/plain)
2016-08-30 14:35 UTC, Francesco Turco
Details
emerge --info (info.txt,6.15 KB, text/plain)
2016-08-30 14:36 UTC, Francesco Turco
Details
wxGTK-3 abs -> fabs (wxgtk-gcc6-fabs.patch,551 bytes, patch)
2016-08-31 12:27 UTC, Denis Kaganovich
Details | Diff
wxGTK-3 abs -> fabs (cmath) (wxgtk-gcc6-fabs-cmath.patch,550 bytes, patch)
2016-08-31 12:38 UTC, Denis Kaganovich
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Francesco Turco 2016-08-30 14:35:38 UTC
Created attachment 444438 [details]
build log using gcc-6.2.0

Package x11-libs/wxGTK-3.0.2.0-r2 cannot be built with gcc-6.x.

> error: call of overloaded 'abs(XYPOSITION)' is ambiguous

----------------

# emerge -pv =x11-libs/wxGTK-3.0.2.0-r2

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] x11-libs/wxGTK-3.0.2.0-r2:3.0::gentoo  USE="X gstreamer libnotify opengl sdl tiff webkit (-aqua) -debug -doc" ABI_X86="(64) -32 (-x32)" 0 KiB

Total: 1 package (1 reinstall), Size of downloads: 0 KiB
Comment 1 Francesco Turco 2016-08-30 14:36:37 UTC
Created attachment 444440 [details]
emerge --info
Comment 2 Denis Kaganovich 2016-08-31 12:27:42 UTC
Created attachment 444622 [details, diff]
wxGTK-3 abs -> fabs
Comment 3 Denis Kaganovich 2016-08-31 12:38:17 UTC
Created attachment 444624 [details, diff]
wxGTK-3 abs -> fabs (cmath)

Same, but some more native for c++ (#include <cmath>)
Comment 4 Francesco Turco 2016-08-31 22:14:15 UTC
Patch from comment 3 works for me.
Comment 5 ncahill_alt 2016-09-09 13:57:08 UTC
I see this has been fixed in wxGTK 3.1.0 with the patch from here: https://github.com/wxphp/appimage/blob/master/wxgtk-gcc6.patch.

I will also mention this in the wxGTK 3.1.0 thread (bug 577030).
Comment 6 Ryan Hill (RETIRED) gentoo-dev 2016-09-09 23:31:50 UTC
Thanks, I'll have a look next week.
Comment 7 Ryan Hill (RETIRED) gentoo-dev 2016-09-17 00:30:09 UTC
(In reply to ncahill_alt from comment #5)
> I see this has been fixed in wxGTK 3.1.0 with the patch from here:
> https://github.com/wxphp/appimage/blob/master/wxgtk-gcc6.patch.
> 
> I will also mention this in the wxGTK 3.1.0 thread (bug 577030).

This is the correct patch.  If someone wants to apply it go ahead.  I don't have commit access at the moment.
Comment 8 David Seifert gentoo-dev 2016-10-02 11:24:43 UTC
commit 8fc2b29f54a92b6c66baa691ab751285be34cdb4
Author: David Seifert <soap@gentoo.org>
Date:   Sun Oct 2 13:21:57 2016 +0200

    x11-libs/wxGTK: Allow for compiling with GCC 6
    
    Gentoo-bug: 592436
    
    Acked-by: Ryan Hill <rhill@gentoo.org>

commit eb60cc77486346e23e843acc46e4a710b9d8cdbc
Author: David Seifert <soap@gentoo.org>
Date:   Sun Oct 2 11:41:03 2016 +0200

    x11-libs/wxGTK: Allow for compiling with GCC 6
    
    Gentoo-bug: 592436
    
    Acked-by: Ryan Hill <rhill@gentoo.org>